{% extends "admin/change_form.html" %}
{% load i18n admin_urls thumbnailer %}

{% block bodyclass %}{{ block.super }} media-upload-edit{% endblock %}

{% block breadcrumbs %}
<div class="breadcrumbs">
<a href="{% url 'admin:index' %}">{% trans 'Home' %}</a>
&rsaquo; <a href="{% url 'admin:app_list' app_label=opts.app_label %}">{{ opts.app_config.verbose_name }}</a>
&rsaquo; {% if has_change_permission %}<a href="{% url opts|admin_urlname:'changelist' %}">{{ opts.verbose_name_plural|capfirst }}</a>{% else %}{{ opts.verbose_name_plural|capfirst }}{% endif %}
&rsaquo; <a href="{% url 'admin:media_mediaitem_upload' %}">Upload</a>
&rsaquo; Add
</div>
{% endblock %}

{% block content %}
<div id="content-main">
{% if has_add_permission and has_change_permission %}
<form action="." method="post" id="{{ opts.model_name }}_form" class="media-upload-edit-form" novalidate>
    {% csrf_token %}

    {% for form in formset %}{% with upload=form.upload %}
    {{form.errors}}
    <fieldset class="module aligned">
        <h2>
            {{forloop.counter}})
            <i class="icon mime-icon material-icons"
               data-mimetype="{{upload.metadata.filetype}}"></i>
            {{upload.original_filename}}
        </h2>

        <label class="delete-upload">
            {{form.DELETE}} Delete
        </label>

        {% if upload.media_type == 'image' %}
        {% thumbnail upload.filename '200x200' as thumb %}
        <img src="{{thumb.url}}" width="{{thumb.width}}" alt="" />
        {% endthumbnail %}
        {% endif %}

        {% for field in form %}{% if field.name != 'DELETE' %}
        {% if field.is_hidden %}
        {{field}}
        {% else %}
        <div class="form-row field-{{field.name}}">
            <div>
              <div class="flex-container">
                {{field.label_tag}}
                {{field}}
                {% if field.help_text %}<div class="help">{{field.help_text}}</div>{% endif %}
              </div>
            </div>
        </div>
        {% endif %}
        {% endif %}{% endfor %}
    </fieldset>
    {% if not forloop.last %}
    <hr />
    <br />
    {% endif %}
    {% endwith %}{% endfor %}

    <div class="submit-row">
        <input type="submit" value="Add to Media Library" class="default" />
    </div>
</form>
{% else %}
<p>You do not have permissions to upload media files.</p>
{% endif %}
</div>
{% endblock content %}
